%global srcname unittest2

Name:           python-%{srcname}
Version:        1.1.0
Release:        %mkrel 5
Summary:        Backport of new unittest features for Python 2.7 to Python 2.4+

Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/unittest2
Source0:        http://pypi.python.org/packages/source/u/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pythonegg(2)(traceback2)
BuildRequires:  pythonegg(2)(argparse)
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(six) >= 1.4
BuildRequires:  pythonegg(2)(nose)

%description
unittest2 is a backport of the new features added to the unittest
testing framework in Python 2.7. It is tested to run on Python 2.4 - 
2.6.

To use unittest2 instead of unittest simply replace ``import unittest``
with ``import unittest2``.

Classes in unittest2 derive from the equivalent classes in unittest,
so it should be possible to use the unittest2 test running infra-
structure without having to switch all your tests to using unittest2
immediately. Similarly
you can use the new assert methods on ``unittest2.TestCase`` with the
standard unittest test running infrastructure. Not all of the new
features in unittest2 will work with the standard unittest test loaders
and runners however.


%package -n     python3-%{srcname}
Summary:        Backport of new unittest features for Python 2.7 to Python 2.4+
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pythonegg(3)(traceback2)
BuildRequires:  pythonegg(3)(argparse)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(six) >= 1.4
BuildRequires:  pythonegg(3)(nose)

%description -n python3-%{srcname}
unittest2 is a backport of the new features added to the unittest
testing framework in Python 2.7. It is tested to run on Python 2.4 - 
2.6 - 3.2 - 3.3 - 3.4 and pypy.

To use unittest2 instead of unittest simply replace ``import unittest``
with ``import unittest2``.

Classes in unittest2 derive from the equivalent classes in unittest,
so it should be possible to use the unittest2 test running infra-
structure without having to switch all your tests to using unittest2
immediately. Similarly
you can use the new assert methods on ``unittest2.TestCase`` with the
standard unittest test running infrastructure. Not all of the new
features in unittest2 will work with the standard unittest test loaders
and runners however.


%prep
%setup -q -n %{srcname}-%{version}

cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python2} setup.py build


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/unit2 %{buildroot}%{_bindir}/python3-unit2
popd

%{__python2} setup.py install --skip-build --root %{buildroot}


%check
#Failing test deactivated
cd unittest2/test
nosetests test_new_tests.py
#nosetests test_unittest2.py
nosetests test_unittest2_with.py

pushd %{py3dir}
#Failing test deactivated
cd unittest2/test
nosetests test_new_tests.py
#nosetests test_unittest2.py
nosetests test_unittest2_with.py
popd

%files
%doc README.txt
%{_bindir}/unit2*
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{srcname}
%doc README.txt
%{_bindir}/python3-unit2
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.1.0-5.mga6
+ Revision: 970715
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.1.0-4.mga6
+ Revision: 887647
- use new python macros
- rebuild for python 3.5

* Sat Sep 05 2015 daviddavid <daviddavid> 1.1.0-3.mga6
+ Revision: 872891
- add python3 package
- use new python2 macro
- update file list

* Tue Sep 01 2015 fwang <fwang> 1.1.0-2.mga6
+ Revision: 871763
- add more br

* Tue Sep 01 2015 fwang <fwang> 1.1.0-1.mga6
+ Revision: 871758
- add more br
- add br
- 1.1.0

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-8.mga6
+ Revision: 739796
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-7.mga5
+ Revision: 729955
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 688402
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-4.mga4
+ Revision: 544356
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.1-3.mga4
+ Revision: 499673
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Feb 03 2013 grenoya <grenoya> 0.5.1-2.mga3
+ Revision: 394303
- imported package python-unittest2


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 Fabian Affolter <fabian@bernewireless.net> - 0.5.1-1
- Updated to new upstream version 0.5.1

* Sat Jul 03 2010 Fabian Affolter <fabian@bernewireless.net> - 0.5.0-1
- Removed build cond for check section
- Switched to python2-devel
- Updated to new upstream version 0.5.0

* Sat Jul 03 2010 Fabian Affolter <fabian@bernewireless.net> - 0.1.4-1
- Initial package
